Subject: bug#26247: Gettext introduces timestamps in .mo files

From: Simon Tournier <[email-masked]>
Date: Tue, 17 Oct 2023 01:48:40 +0200

Hi,

It is about this old bug#26247:

    https://issues.guix.gnu.org/issue/26247

On Sat, 08 Oct 2022 at 16:25, zimoun <[email-masked]> wrote:
> On Fri, 11 Dec 2020 at 14:26, Miguel Ángel Arruga Vivas <[email-masked]> wrote:
>
>> This bug has already been reported upstream[1] and probably I'll push it
>> as soon as I have more test cases prepared and receive a brief review,
>> but I can prepare a patch for previous versions if it's needed too.
>>
>> Best regards,
>> Miguel
>>
>> [1] https://savannah.gnu.org/bugs/?59658
>
> Are commits 4343ca8ba5b02c8fe09e5bd681abbc0440ab8b08 and following the
> ones mentioned here?
>
> Well, I am not sure to understand if it had been fixed upstream [1].

The issue is still not fixed in Guix.

--8<---------------cut here---------------start------------->8---
$ guix time-machine --commit=b437896e87a51cc610388d4c462893652dd773e6 -- challenge guix --substitute-urls="https://ci.guix.gnu.org https://bordeaux.guix.gnu.org"
/gnu/store/0znvqzij8lvf4lv7xxs126wxzgmx0zsw-guix-1.4.0-13.e863274 contents differ:
  no local build for '/gnu/store/0znvqzij8lvf4lv7xxs126wxzgmx0zsw-guix-1.4.0-13.e863274'
  https://ci.guix.gnu.org/nar/lzip/0znvqzij8lvf4lv7xxs126wxzgmx0zsw-guix-1.4.0-13.e863274: 1inv5ri4z35xz6cv9laiaf4nv9v9km7ggvbwcdhxpv5hkabsbjia
  https://bordeaux.guix.gnu.org/nar/lzip/0znvqzij8lvf4lv7xxs126wxzgmx0zsw-guix-1.4.0-13.e863274: 13njz5kn402g5larsbmbi25dx4w8azpbffqlkhyagc52hnbpqxaf
  differing files:

[...]

    /share/locale/en@boldquot/LC_MESSAGES/guix-packages.mo
    /share/locale/en@boldquot/LC_MESSAGES/guix.mo
    /share/locale/en@quot/LC_MESSAGES/guix-packages.mo
    /share/locale/en@quot/LC_MESSAGES/guix.mo

1 store items were analyzed:
  - 0 (0.0%) were identical
  - 1 (100.0%) differed
  - 0 (0.0%) were inconclusive
--8<---------------cut here---------------end--------------->8---

Cheers,
simon